import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-productdetail',
  templateUrl: './productdetail.component.html',
  styleUrls: ['./productdetail.component.css']
})

export class ProductdetailComponent implements OnInit {

  selected_productid: Number;

  constructor(private _acroute: ActivatedRoute) {
    console.log('Product detail component is initialized.');
  }

  ngOnInit() {
    // Fetching the id and showing the selected product details on the "product-detail" component
    this._acroute.params.subscribe(
      param => this.selected_productid = param.product_id
    );
  }
}
